# output

abstract fun output(logTime: Instant, destination: TestOutputEvent.Destination, output: String)

Emit an output event for the test. May be called multiple times. May not be called before started.

#### Since

8.12

#### Parameters

logTime

the time the output was logged, must be between the start and end times of the test

destination

the destination of the output

output

some output from the test